Name:       qsynth
Version:    0.3.6
Release:    %mkrel 3

Summary:    Qt GUI Interface for FluidSynth
License:    GPLv2+
Group:      Sound/Midi
URL:        http://%name.sourceforge.net/
Source0:    http://downloads.sourceforge.net/qsynth/%name-%version.tar.gz

BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  fluidsynth-devel
BuildRequires:  desktop-file-utils
Requires:   fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt4 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

# Fix locale installation path
perl -pi -e 's/\/share\/locale/\/share\/\$(name)\/locale/g' Makefile.in
perl -pi -e 's/\/share\/locale/\/share\/qsynth\/locale/g' src/main.cpp

%build
%configure2_5x
make CXXFLAGS="%{optflags}" LFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Fix the .desktop file by removing
# 2 non-Mdv key and 2 non-standard categories
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --remove-category="MIDI" \
  --remove-category="ALSA" \
  --remove-category="JACK" \
  --add-category="Midi" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/%{name}.png



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 379914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.6-2.mga3
+ Revision: 333519
- change group to new policy

* Fri Apr 15 2011 shikamaru <shikamaru> 0.3.6-1.mga1
+ Revision: 85879
- new version 0.3.6 - retab - fix file list

  + andre999 <andre999>
    - imported package qsynth

